#!/QOpenSys/usr/bin/sh
#
#

# =======================
# arg get
# -----------------------
if [[ $# -ne 1 ]]; then
   echo "Usage: $0 USERID"
   exit 1
fi

USER=$1

# =======================================
# /home/USER DIRECTORY Check and Create
# ---------------------------------------
HOMEDIR=/home/$USER
EXCELDIR=$HOMEDIR/excel
INDIR=$EXCELDIR/input
OUTDIR=$EXCELDIR/output

if [[ ! -d $HOMEDIR ]]; then
   mkdir $HOMEDIR
fi

if [[ ! -d $EXCELDIR ]]; then
   mkdir $EXCELDIR
fi


if [[ ! -d $INDIR ]]; then
   mkdir $INDIR
fi
if [[ ! -d $OUTDIR ]]; then
   mkdir $OUTDIR
fi

exit 0
