#!/QOpenSys/usr/bin/sh
#
# run_csvExce.sh <USERID> <csv file name> or <bnd file name>
#

# =======================
# arg get
# -----------------------
if [ $# -ne 3 ]; then
   echo $1 $2 $3 $4 $5 
   echo "Usage: $0 <USERID> <csv or bnd fileName> <status file name>"
   exit 1
fi

USER=$1
FILENAME=$2
STATUS_FILE=$3

# =======================================
# /home/USER DIRECTORY Check and Create
# ---------------------------------------

HOMEDIR=/home/$USER
EXCELDIR=$HOMEDIR/excel

if [ ! -d $HOMEDIR ]; then
   mkdir $HOMEDIR
fi

if [ ! -d $EXCELDIR ]; then
   mkdir $EXCELDIR
fi

cd $EXCELDIR
/QOpenSys/pkgs/bin/python /opt/excel/csvExcel.py $FILENAME $STATUS_FILE
RTNCODE=$?

exit $RTNCODE
